%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-decorator3
Version:        3.1.2
Release:        2%{?dist}.1
Summary:        Module to simplify usage of decorators

Group:          Development/Languages
License:        BSD
URL:            http://www.phyast.pitt.edu/~micheles/python/documentation.html
Source0:        http://pypi.python.org/packages/source/d/decorator/decorator-%{version}.tar.gz
Patch0:         decorator-3.0.1-doctest.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires: python-setuptools
BuildRequires:  python-devel
BuildRequires:  python-setuptools-devel
BuildRequires:  python-nose

%description
The aim of the decorator module is to simplify the usage of decorators for
the average programmer, and to popularize decorators usage giving examples
of useful decorators, such as memoize, tracing, redirecting_stdout, locked,
etc.  The core of this module is a decorator factory called decorator.

This package contains version 3.x of the decorator module.

%prep
%setup -q -n decorator-%{version}
%patch0 -p1 -b .doctest
chmod a-x *.txt *.py
%{__sed} -i 's/\r//' README.txt

%build
%{__python} setup.py bdist_egg

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{python_sitelib}
easy_install -m --prefix %{buildroot}%{_usr} dist/*.egg

%clean
rm -rf %{buildroot}

%check
# Until we get the python-multiprocessing backport packaged
%if 0%{?fedora} >= 11 || 0%{?rhel} > 5
nosetests --with-doctest
%endif

%files
%defattr(0644,root,root,0755)
%doc *.txt
%{python_sitelib}/decorator*.egg/

%changelog
* Tue Oct 6 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 3.1.2-2.1
- Initial python-decorator3 package.  Forwards compat for EL-5 (where
  python-decorator is version 2.3.x)

* Tue Oct 6 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 3.1.2-2
- Really include the new source tarball

* Tue Oct 6 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 3.1.2-1
- Update to upstream release 3.1.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 3.0.1-2
- Only run the test suite on Fedora 11, which has Py2.6 and the multiprocessing
  module.  We can disable this once the compat module is packaged for F10 and
  below.

* Thu May 21 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 3.0.1-1
- Update to upstream release 3.0.1.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 21 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 2.3.2-1
- Update to 2.3.2
- Enable tests via nose

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.2.0-2
- Rebuild for Python 2.6
